Page MenuHomePhabricator

Logo for sr.wikiquote.org
Closed, ResolvedPublic

Description

Change logo on Serbian version of Wikiquote, the file has been made and uploaded to Commons (needs to be protected): https://commons.wikimedia.org/wiki/File:Wikiquote-logo-sr.svg

You can compare SVG source code of English original and file I created, and also visually compare current sr.wikiquote logo and file I created.

If formal voting is needed again – as it was needed for T165896: Logo for sr.m.wikipedia.org, I can initiate it on sr.wikiquote. But I think this is not controversial change because you can both compare SVG sources and make visual check to see differences.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix logos for srwikiquote
operations/mediawiki-config : masterLogo updates for sr.wikiquote

Event Timeline

Obsuser created this task.Jun 20 2017, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2017, 6:09 PM
Obsuser triaged this task as Medium priority.Jun 20 2017, 6:10 PM
MarcoAurelio lowered the priority of this task from Medium to Low.
MarcoAurelio added a subscriber: MarcoAurelio.

File on commons needs not to be protected since we'll be storing an optimized copy in the DB directly. I'll take care of this.

Change 364226 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Logo updates for sr.wikiquote

https://gerrit.wikimedia.org/r/364226

Change 364226 merged by jenkins-bot:
[operations/mediawiki-config@master] Logo updates for sr.wikiquote

https://gerrit.wikimedia.org/r/364226

Mentioned in SAL (#wikimedia-operations) [2017-07-10T18:32:49Z] <niharika29@tin> Synchronized static/images/project-logos/srwikiquote-1.5x.png: Logo updates for sr.wikiquote (T168444) (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-07-10T18:34:01Z] <niharika29@tin> Synchronized static/images/project-logos: Logo updates for sr.wikiquote (T168444) (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-07-10T18:36:11Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Logo updates for sr.wikiquote (T168444) (duration: 00m 40s)

MarcoAurelio closed this task as Resolved.Jul 10 2017, 7:01 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.
Obsuser reopened this task as Open.EditedJul 12 2017, 3:53 AM

I reopened the task because upper part seems to be larger even though if two files (original in English and translation in Serbian) are compared in two broswer tabs no pop-up can be seen because only text was changed in .svg file of translation. Colors also seem a bit lighter in translated version.

Also (sorry for off topic), could someone check why statistics on Serbian Wikiquote is not working – it is stuck to 222 citations even there is more. If it is needed, I can open separate task.

I reopened the task because upper part seems to be larger even though if two files (original in English and translation in Serbian) are compared in two broswer tabs no pop-up can be seen because only text was changed in .svg file of translation. Colors also seem a bit lighter in translated version.

@Obsuser I see the logo fine. @Dereckson @Urbanecm Maybe you can test and see if they look right to you?

Also (sorry for off topic), could someone check why statistics on Serbian Wikiquote is not working – it is stuck to 222 citations even there is more. If it is needed, I can open separate task.

Please do, but it'll just require running a server-side script to update the stats, but I don't remember which one.

https://github.com/wikimedia/operations-mediawiki-config/commit/095bbeeb7b63877fd1f264e4e646e69bcb5bbe66

Logo size is the same, and HD logos use the same size as all others from other wikis.

All logos were resized and optiPNG'd -o8

revi updated the task description. (Show Details)Jul 12 2017, 2:37 PM

I also see it 'fine' (content itself is displayed properly) but when swapping between tabs of https://sr.wikiquote.org/wiki/Главна_страна and https://en.wikiquote.org/wiki/Main_Page – logo on Serbian Wikiquote can be seen popping-up i.e. main upper part is not in the same position relative to the English one.

However, this does not happen when swapping between browser tabs of (let's say 240px thumbs) https://upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Wikiquote-logo-en.svg/240px-Wikiquote-logo-en.svg.png and https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/240px-Wikiquote-logo-sr.svg.png, or SVGs of any size or other PNGs of any size (because I made sure to copy only bottom part that needed translation into the original SVG file so that everything else stays same; SVG source codes can be easily compared using some diffchecker to check for possible glitch there).

Probably there was some error while converting (resizing, converting to PNG or something else) the Serbian Wikiquote SVG logo. Similar thing happened with T165896: Logo for sr.m.wikipedia.org but was somehow successfully resolved.

Ah, I see. Will try to convert the SVG again and we'll see if it will change something.

Change 364754 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix logos for srwikiquote

https://gerrit.wikimedia.org/r/364754

I'll schedule it for today Morning SWAT (18:00–19:00 UTC).

Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 364754 merged by Chad:
[operations/mediawiki-config@master] Fix logos for srwikiquote

https://gerrit.wikimedia.org/r/364754

Even with a purge, the https://en.wikipedia.org/static/images/project-logos/srwikiquote.png hasn't been purged from the cache.

https://en.wikipedia.org/static/images/project-logos/srwikiquote.png?debug=true works fine.

Terbium
echo "https://en.wikipedia.org/static/images/project-logos/srwikiquote.png" | mwscript purgeList.php

A manual purge from the cache is perhaps needed.

Can somebody explain to me what I did wrong so I don't commit the same mistake again? I don't understand. Thanks.

Can somebody explain to me what I did wrong so I don't commit the same mistake again? I don't understand. Thanks.

I don't know what did you exactly so I can only post my steps in detail.

  1. I've opened the logo at commons (https://commons.wikimedia.org/wiki/File:Wikiquote-logo-sr.svg)
  2. I've displayed 240x240px thumbnail (https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/240px-Wikiquote-logo-sr.svg.png)
  3. In the URL, I've replaced 240px with 150px (https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png)
  4. I've created URL for 225px and 300 px in the same way
  5. I've opened terminal at my notebook, cded to the directory I have operations/mediawiki-config clonned to
  6. I've ensured I'm in my master branch (git checkout master)
  7. I've ensured I have updated repo (git remote update; git pull)
  8. I've created new branch and checkouted into it (git checkout -b T168444)
  9. I've wgeted the URL from step 3 and 4
  10. I've renamed them so they have names like srwikiquote-1.5x.png now
  11. I've run optipng -o8 srwikiquote*
  12. I've ensured it is fixed now (by opening the logo in browser next to the English one and switching the tabs between them fastly)
  13. I've moved srwikiquote* images from repo's root directory to correct directory (/static/images/project-logos)
  14. I've commited my change, uploaded it for review and scheduled for SWAT

When I notice a logo mistake, I always just do it again. Almost everytime things get fixed magically.

Except for the trick of wget the URL from commons (I downloaded the 2000px file and used an online resizer, using as sizes the standard logo sizes other logos use) everything you did I did as well. I'll follow your steps for next time. I was worried because in all other logo update requests I made I followed the same procedure as I did in this task w/o problems. In any case thanks a lot for your help. Regards.

Different alignment of non-text logo part as well as color difference can still be seen by comparing https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png and https://en.wikiquote.org/static/images/project-logos/enwikiquote.png.

Refreshing English logo SVGs or PNGs, or resetting en.wikiquote logo (recreating its PNG from its SVG same way as it was done now for sr.wikiquote logo) might help...

Different alignment of non-text logo part as well as color difference can still be seen by comparing https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png and https://en.wikiquote.org/static/images/project-logos/enwikiquote.png.
Refreshing English logo SVGs or PNGs, or resetting en.wikiquote logo (recreating its PNG from its SVG same way as it was done now for sr.wikiquote logo) might help...

When comparing https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png (the SVG logo) and https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png, they are equivalent. We updated the logo so it looks exactly like the SVG. If the SVG is created wrongly, we can't help you.

Obsuser added a comment.EditedJul 13 2017, 1:36 PM

When comparing https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png (the SVG logo) and https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png, they are equivalent. We updated the logo so it looks exactly like the SVG. If the SVG is created wrongly, we can't help you.

No, they are not equivalent when comparing https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png (the SVG logo) and https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png nor when comparing sr and en static images.

You can even zoom these two examples of yours and see this alignment difference by white and grey squares as well as notice color difference. SVGs are same except for translated text, as I emphasized above.

Here are screenshots for your comparison example where difference can be seen (to ensure we get same displayed content): 150px-Wikiquote-logo-sr.svg.png from Commons and srwikiquote.png from Wikiquote as static image used directly for logo (it can be easily noticed they are not same; screenshots are taken in Chrome on 500% zoom with a bit of grey border of Chrome background; btw, on static image example, second one, some light border is generated around upper logo part, what is not present in Commons thumb).

If this comparison is done for en.wikiquote logo (https://upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Wikiquote-logo-en.svg/150px-Wikiquote-logo-en.svg.png and https://sr.wikiquote.org/static/images/project-logos/enwikiquote.png), one can also notice difference – even bigger than for sr.wikiquote logo (on static, second image, "iki" is more to the right etc.). That's why I mentioned that it would be good to refresh English original static image, maybe because it changed after last creation of PNG for deploying as static image used as logo.

To conclude, if SVG 150px sr and en thumbs are compared – they are same; if static images for sr and en logo are compared – they are not same (when we are talking about positioning of the main upper part, colors etc.; translated text part is not same, of course).

MarcoAurelio removed MarcoAurelio as the assignee of this task.Jul 13 2017, 4:31 PM
Urbanecm moved this task from To deploy to Working on on the User-Urbanecm board.Jul 13 2017, 10:13 PM
Urbanecm moved this task from Blocked on SRE to Working on on the Wikimedia-Site-requests board.
Urbanecm closed this task as Resolved.Jul 14 2017, 6:57 PM
Urbanecm assigned this task to MarcoAurelio.

No, they are not equivalent when comparing https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png (the SVG logo) and https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png nor when comparing sr and en static images.
You can even zoom these two examples of yours and see this alignment difference by white and grey squares as well as notice color difference. SVGs are same except for translated text, as I emphasized above.

They are same. If you optimalize https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png and compare it with https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png (by using diff utility, see https://en.wikipedia.org/wiki/Diff_utility) you'll see they are the same. Even with fastly switching between them in your browser you won't notice a difference. Maybe try refreshing your cache?

[urbanecm@ysul ~/tmp]$ wget https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png
--2017-07-14 18:50:06--  https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Wikiquote-logo-sr.svg/150px-Wikiquote-logo-sr.svg.png
Resolving upload.wikimedia.org (upload.wikimedia.org)... 91.198.174.208, 2620:0:862:ed1a::2:b
Connecting to upload.wikimedia.org (upload.wikimedia.org)|91.198.174.208|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 10034 (9.8K) [image/png]
Saving to: ‘150px-Wikiquote-logo-sr.svg.png’

150px-Wikiquote-logo-sr.svg.png    100%[==============================================================>]   9.80K  --.-KB/s    in 0.001s  

2017-07-14 18:50:06 (16.0 MB/s) - ‘150px-Wikiquote-logo-sr.svg.png’ saved [10034/10034]

[urbanecm@ysul ~/tmp]$ optipng -o7 150px-Wikiquote-logo-sr.svg.png # Logos in static/images/project-logos are optimalized
** Processing: 150px-Wikiquote-logo-sr.svg.png
150x150 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 9947 bytes
Input file size = 10034 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 7344
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7344
                               
Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7344

Output IDAT size = 7344 bytes (2603 bytes decrease)
Output file size = 7419 bytes (2615 bytes = 26.06% decrease)

[urbanecm@ysul ~/tmp]$ wget https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png
--2017-07-14 18:50:36--  https://sr.wikiquote.org/static/images/project-logos/srwikiquote.png
Resolving sr.wikiquote.org (sr.wikiquote.org)... 91.198.174.192, 2620:0:862:ed1a::1
Connecting to sr.wikiquote.org (sr.wikiquote.org)|91.198.174.192|:443... connected.
HTTP request sent, awaiting response... 200 OK
Cookie coming from sr.wikiquote.org attempted to set domain to wikipedia.org
Cookie coming from sr.wikiquote.org attempted to set domain to wikipedia.org
Length: 7419 (7.2K) [image/png]
Saving to: ‘srwikiquote.png’

srwikiquote.png                    100%[==============================================================>]   7.25K  --.-KB/s    in 0s      

2017-07-14 18:50:36 (15.5 MB/s) - ‘srwikiquote.png’ saved [7419/7419]

[urbanecm@ysul ~/tmp]$ diff srwikiquote.png 150px-Wikiquote-logo-sr.svg.png 
[urbanecm@ysul ~/tmp]$

Here are screenshots for your comparison example where difference can be seen (to ensure we get same displayed content): 150px-Wikiquote-logo-sr.svg.png from Commons and srwikiquote.png from Wikiquote as static image used directly for logo (it can be easily noticed they are not same; screenshots are taken in Chrome on 500% zoom with a bit of grey border of Chrome background; btw, on static image example, second one, some light border is generated around upper logo part, what is not present in Commons thumb).

If you really see that, please make sure you have updated data (by refreshing your cache). You can even use another browser to be sure.

If this comparison is done for en.wikiquote logo (https://upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Wikiquote-logo-en.svg/150px-Wikiquote-logo-en.svg.png and https://sr.wikiquote.org/static/images/project-logos/enwikiquote.png), one can also notice difference – even bigger than for sr.wikiquote logo (on static, second image, "iki" is more to the right etc.). That's why I mentioned that it would be good to refresh English original static image, maybe because it changed after last creation of PNG for deploying as static image used as logo.

We aren't talking about enwikiquote here, are we? If the English version wish to have their logo updated (or if it should be updated from any reason) it should be generally in a new ticket.

To conclude, if SVG 150px sr and en thumbs are compared – they are same; if static images for sr and en logo are compared – they are not same (when we are talking about positioning of the main upper part, colors etc.; translated text part is not same, of course).

Like I said above, it is definitely your cache.

As I'm 100% sure that this task is resolved, I'm closing it as resolved (and assigning to @MarcoAurelio as he created the original patch).

OK, yes, now it's all good with sr.wikiquote logos; this task is resolved.

Note: I created T170722 so that en.wikiquote logo gets refreshed same way and that this thing gets completely resolved.

Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJan 2 2019, 3:22 PM